Subject: Re: .tar.gz
From: [email-masked] (Fergus Henderson)

30 Jul 1997 06:57:39 -0700
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=US-ASCII
Content-Transfer-Encoding: 7bit
Original-To: [email-masked]
Original-Cc: [email-masked]
In-Reply-To: <[email-masked]> from "[email-masked]" at "Jul 29, 97 11:12:49 pm"
X-Mailer: ELM [version 2.4ME+ PL15 (25)]
Original-Sender: [email-masked]

[email-masked], you wrote:
> Hi Fergus, you wrote:
> 
> : Yes, but the 'z' option to tar is not portable, so I can't use that. :-(
> 
> But g*zip is not portable, either, only *compress is "standard" on unix.
> You can just as well install gtar, under that name, too (or link on Linux).

We distribute our software only in .tar.gz form.  In order to execute
it, the user must have unpacked it first, and to unpack it, they must
have g*zip (and tar).  But they might not have GNU tar.

Also, if they happen to not have gzip, the error message "gzip: command
not found" will be pretty clear.  Whereas if we invoke tar with the 'z'
option, it might just do the wrong thing.  E.g. on the system I'm posting
this from:

 | z   Positions the tape after the EOF marker on extraction or listing.  The
 |     z option allows the user to extract or list tapes that have multiple
 |     archives on them one after the other without error as a result of the
 |     tape not being positioned correctly for the next extraction or listing.

-- 
Fergus Henderson <[email-masked]>   |  "I have always known that the pursuit
WWW: <http://www.cs.mu.oz.au/~fjh>   |  of excellence is a lethal habit"
PGP: finger [email-masked]         |     -- the last words of T. S. Garp.
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".